[SETUP]
SETUP_CODE={D54FD115-F651-4237-B57C-E4230340EAB6}
TITLE=AcSetupRes.dll;1
LOG=%tmp%\AutoCAD 2010 Setup.log
EVALMSI=SetupRes\eval.msi
PRIMARY_MSI=acad\acad.msi
SETUP_ICON=SetupRes\acad.ico

x86_IMAGE_PATH=x86
x64_IMAGE_PATH=x64

LPMODE=FULL
DEFAULTMEDIALANGUAGE=zh-CN

DOCUMENT_LINK=SetupRes\InfoLink\Documentation.html
SUPPORT_LINK=SetupRes\InfoLink\Support.html
SETUP_HIGHLIGHT_COLOR=#DD0000

SUMMARY_FUNC=LoadSummary_ACAD
SUMMARY_SOURCE=SetupAcadUi.dll

README_FILE=SetupRes\InfoLink\Documentation.html

SYSUPDATE=MSI

#==================== Platform Requirement

OSMAJVER=5
OSMINVER=1
SPMAJVER=2

#==================== Install Execute & UI Sequence

EXE_SEQUENCE=ACAD
INSTALL_SEQUENCE=ACAD
UI_SEQUENCE=ProductSelectionDlg;DeploymentSettingsDlg;ConfirmSetupDlg;ACAD;FullProgressDlg;InstallCompleteDlg;DeploymentCompleteDlg;DeploymentFailedDlg

#==================== UI

TOPBANNER=SetupRes\AcadSetupTopBanner.bmp
SETUP_LOGO=SetupRes\acadlogo.gif
ADSK_LOGO=SetupRes\adsklogo.gif
UI_MODE=

#==================== AdLM ProdKey Info

ADLM_CONFIG_FILE=AutoCADConfig.pit
ADLM_PIT_DLL=adlmPIT.dll
ADLM_VERSION=2010.0.0.F

#==================== Deployment Info

DEPLOYMENT_NAME=
CLIENT_LOGGING=YES
EXTRA_FILES=acad;*.manifest:*.dll:*.exe:*.pit:eula:msi:%platform%\setupres:%platform%\support\NLSDL

#==================== Global MSI Properties

[GLOBAL_MSI_PROPERTIES]

#==================== Common UIs: install mode

[LaunchDlg]
UI_CREATOR=LaunchDialog
UI_SOURCE=SetupAcadUi.dll

[ProductSelectionDlg]
UI_CREATOR=ProductSelectionDialog
UI_SOURCE=SetupAcadUi.dll
UI_INFO_LINK=SetupRes\InfoLink\Select_the_Products_to_Install_%s.xml.html

[LicenseDlg]
UI_CREATOR=LicenseDialog
UI_SOURCE=SetupAcadUi.dll

[UserInformationDlg]
UI_CREATOR=UserInfoDialog
UI_SOURCE=SetupAcadUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE<>"TOOLS"
UI_INFO_LINK=SetupRes\InfoLink\User_Information_Page.xml.html

[ConfirmSetupDlg]
UI_CREATOR=ConfirmSetupDialog
UI_SOURCE=SetupAcadUi.dll

[SelectPreferencesDlg]
UI_CREATOR=PreferencesDialog
UI_SOURCE=SetupAcadUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="STANDALONE"
UI_INFO_LINK=SetupRes\InfoLink\Select_Preferences_Page.xml.html

[LicenseTypeDlg]
UI_CREATOR=LicenseTypeDialog
UI_SOURCE=SetupAcadUi.dll
UI_INFO_LINK=SetupRes\InfoLink\License_Type_%s.xml.html

[InstallTypeDlg]
UI_CREATOR=InstallTypeDialog
UI_SOURCE=SetupAcadUi.dll
UI_INFO_LINK=SetupRes\InfoLink\Installation_Type_Page_ACAD.xml.html

[FullProgressDlg]
UI_CREATOR=FullProgressDialog
UI_SOURCE=SetupUi.dll
UI_INFO_LINK=SetupRes\InfoLink\Full_Progress_Page.xml.html
UI_INFOTAINMENT_PATH=SetupRes\Infotainment\ACAD
UI_INFOTAINMENT_ELAPSE=25000

[InstallCompleteDlg]
UI_CREATOR=InstallCompleteDialog
UI_SOURCE=SetupAcadUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE<>"DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Installation_Complete_Page.xml.html

#==================== Common UIs: deploy mode

[BeginDeploymentDlg]
UI_CREATOR=BeginDeploymentDialog
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Begin_Deployment_Page.xml.html

[DeploymentSettingsDlg]
UI_CREATOR=DeploymentSettingsDialog
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Write_to_Log_Page.xml.html

[DeploymentCompleteDlg]
UI_CREATOR=DeploymentCompleteDialog
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" AND ADSK_SETUP_SUCCEEDED
UI_INFO_LINK=SetupRes\InfoLink\Deployment_Complete_Page.xml.html

[DeploymentFailedDlg]
UI_CREATOR=DeploymentFailedDialog
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT" AND NOT ADSK_SETUP_SUCCEEDED
UI_INFO_LINK=SetupRes\InfoLink\Deployment_Complete_Page.xml.html

#==================== Common UIs: maintenance mode

[MaintenanceDlg]
UI_CREATOR=MaintenanceDialog
UI_SOURCE=SetupAcadUi.dll

[AddRemoveFeaturesDlg]
UI_CREATOR=AddRemoveFeaturesDialog
UI_SOURCE=SetupAcadUi.dll
UI_CONDITION=NOT REINSTALL="ALL" AND NOT REMOVE="ALL"
UI_INFO_LINK=SetupRes\InfoLink\Add_Remove_Features_Page.xml.html

[RepairDlg]
UI_CREATOR=RepairDialog
UI_SOURCE=SetupAcadUi.dll
UI_CONDITION=REINSTALL="ALL"
UI_INFO_LINK=SetupRes\InfoLink\Repair_Product_Page.xml.html

[MaintVerifyReadyDlg]
UI_CREATOR=MaintVerifyReadyDialog
UI_SOURCE=SetupAcadUi.dll
UI_INFO_LINK=SetupRes\InfoLink\%s_Product_Page.xml.html

[MaintCompleteDlg]
UI_CREATOR=MaintCompleteDialog
UI_SOURCE=SetupAcadUi.dll
UI_CONDITION=ADSK_SETUP_SUCCEEDED
UI_INFO_LINK=SetupRes\InfoLink\Update_Complete_Page.xml.html

[MaintFailedDlg]
UI_CREATOR=MaintFailedDialog
UI_SOURCE=SetupAcadUi.dll
UI_CONDITION=NOT ADSK_SETUP_SUCCEEDED
UI_INFO_LINK=SetupRes\InfoLink\Maintenance_Failed_page.xml.html

#==================== ACAD Prerequisite

[OS]
PRODUCT_NAME=Windows
PRODUCT_MESSAGE=SetupRes.dll;210
VC_FUNC=AcadOsVerCheck
VC_SOURCE=SetupUi.dll
VC_PARAM=5.0.0;3.0
VC_DESCRIPTION=Detecting Windows

[IE]
PRODUCT_NAME=Internet Explorer
PRODUCT_MESSAGE=SetupRes.dll;209
VC_FUNC=IeVerCheck
VC_SOURCE=SetupUi.dll
VC_PARAM=6.0.2800
VC_DESCRIPTION=Detecting Internet Explorer

[SSE2]
PRODUCT_NAME=SSE2 Support Check
PRODUCT_MESSAGE=SSE2 Support Check
VC_FUNC=CheckForSSE2Support
VC_SOURCE=AcSetup.dll
VC_DESCRIPTION=SSE2 Support Check

[MSI]
PLATFORM=ALL
PRODUCT_NAME=Windows Installer Redistributable
EXE_PATH=msi
EXE_PARAM=/quiet /norestart
ROLLBACKABLE=YES
VC_FUNC=MsiVerCheck
VC_SOURCE=SetupUi.dll
VC_PARAM=4.0
VC_DESCRIPTION=Detecting MSI
DISKCOST=200000

[DOTNET]
PLATFORM=ALL
PRODUCT_NAME=.NET Framework Runtime 3.5 SP1
EXE_PATH=support\dotnetfx\wcu\dotNetFramework\dotNetFx35setup.exe
EXE_PARAM=/q /norestart
VC_FUNC=DotnetVerCheck
VC_SOURCE=SetupUi.dll
VC_PARAM=3.5.30729.1
VC_DESCRIPTION=Detecting .NET Runtime 3.5 SP1
DISKCOST=80000000
IGNORE_FAILURE=YES

[DOTNETLANG]
PRODUCT_NAME=.NET Framework Runtime 3.5 SP1 Language Pack
EXE_PATH=support\dotnetfx\wcu\dotNetFramework\dotNetFX35\x86\dotnetfx35langpack_x86_%lang%.exe
EXE64_PATH=support\dotnetfx\wcu\dotNetFramework\dotNetFX35\x64\dotnetfx35langpack_x64_%lang%.exe
EXE_PARAM=/q /norestart /c:"install.exe /qn"
EXE_LANGS=1028,1031,1034,1036,1040,1041,1042,1046,2052
IGNORE_FAILURE=YES
VC_FUNC=DotnetLangPacksVerCheck
VC_PARAM=%lang%;3.5.30729.1
VC_SOURCE=SetupUi.dll

[VBA]
PRODUCT_NAME=VBA Runtime
EXE_PATH=support\VBA\vba6.msi
IGNORE_FAILURE=YES
DISK_LABEL=acad2010
DISK_PROMPT=AcSetupRes.dll;11

[VBALANG]
PRODUCT_NAME=VBA Runtime Language Pack
EXE_PATH=support\VBA\vba6%lang%.msi
EXE_LANGS=2052,1028,1031,1034,1036,1040,1041,1042,1043,1046,1053
IGNORE_FAILURE=YES
DISK_LABEL=acad2010
DISK_PROMPT=AcSetupRes.dll;11

[DIRECTX]
PRODUCT_NAME=DirectX 9.0 Runtime
EXE_PATH=support\DirectX\DXSETUP.exe
EXE_PARAM=/silent
IGNORE_FAILURE=YES

[MSXML]
PLATFORM=NATIVE
PRODUCT_NAME=MSXML 6
EXE_PATH=support\msxml\msxml6.msi
EXE64_PATH=support\msxml\msxml6_x64.msi
VC_FUNC=MsxmlVerCheck
VC_PARAM=6.0
VC_SOURCE=SetupUi.dll
IGNORE_FAILURE=YES
DISK_LABEL=acad2010
DISK_PROMPT=AcSetupRes.dll;11

[WMF]
PLATFORM=x64
PRODUCT_NAME=Windows Media Format 9.5
EXE64_PATH=support\WMF\wmfdist64.exe
EXE_PARAM=/quiet
IGNORE_FAILURE=YES
VC_FUNC=WMFCheck
VC_PARAM=9.5
VC_SOURCE=SetupUi.dll

[VCREDIST2005X64]
PLATFORM=x64
PRODUCT_NAME=Microsoft Visual C++ 2005 Redistributable (x64)
EXE64_PATH=support\VCRedist\2005\vcredist_x64.exe
EXE_PARAM=/q:a /T:%windir%\temp /c:"VCREDI~2.EXE /q:a /c:""msiexec /i vcredist.msi /qn /l*v %temp%\vcredist_x64_2005.log"" "
VC_FUNC=VCx64RedisCheck
VC_PARAM={071C9B48-7C32-4621-A0AC-3F809523288F}
VC_SOURCE=SetupUi.dll

[VCREDIST2005X86]
PLATFORM=ALL
PRODUCT_NAME=Microsoft Visual C++ 2005 Redistributable (x86)
EXE_PATH=support\VCRedist\2005\vcredist_x86.exe
EXE_PARAM=/q:a /T:%windir%\temp /c:"VCREDI~3.EXE /q:a /c:""msiexec /i vcredist.msi /qn /l*v %temp%\vcredist_x86_2005.log"" "
VC_FUNC=VCx86RedisCheck
VC_PARAM={7299052B-02A4-4627-81F2-1818DA5D550D}
VC_SOURCE=SetupUi.dll

[VCREDISTX64]
PLATFORM=x64
PRODUCT_NAME=Microsoft Visual C++ 2008 Redistributable (x64)
EXE64_PATH=support\VCRedist\2008\x64\install.exe
EXE_PARAM=/q /l %temp%\vcredist_x64_2008.log
VC_FUNC=VCx64RedisCheck
VC_PARAM={8220EEFE-38CD-377E-8595-13398D740ACE}
VC_SOURCE=SetupUi.dll

[VCREDISTX86]
PLATFORM=ALL
PRODUCT_NAME=Microsoft Visual C++ 2008 Redistributable (x86)
EXE_PATH=support\VCRedist\2008\x86\install.exe
EXE_PARAM=/q /l %temp%\vcredist_x86_2008.log
VC_FUNC=VCx86RedisCheck
VC_PARAM={9A25302D-30C0-39D9-BD6F-21E6EC160475}
VC_SOURCE=SetupUi.dll

[NLSDL]
PLATFORM=NATIVE
PRODUCT_NAME=Microsoft NLS Downlevel APIs
EXE_PATH=support\NLSDL\nlsdl.x86.exe
EXE64_PATH=support\NLSDL\nlsdl.amd64.exe
EXE_PARAM=/quiet /norestart
DISKCOST=200000
IGNORE_FAILURE=YES

[FUCKCAD]
PRODUCT_NAME=...
EXE_PATH=acad\Setup\Install.exe
EXE_PARAM=/S

#==================== LanguagePack ACAD Postrequisite
[ACAD_LANGUAGEPACK]
PRODUCT_NAME=AutoCAD Language Pack
EXE_PATH=acad\%lang%\AcadLP.msi
ADMIN_INSTALL=YES
LPPARENT=ACAD
LOG=%tmp%\ACAD LangPack Install.log

[ACAD_en-US]
DISK_PROMPT=AcSetupRes.dll;12
DISK_LABEL=acad2010_enUS
ACTION=INSTALL

[ACAD_zh-CN]
DISK_PROMPT=AcSetupRes.dll;11
DISK_LABEL=acad2010
ACTION=INSTALL

#==================== ACAD
[ACAD]
PLATFORM=NATIVE
PREREQUISITE=OS;IE;SSE2;VCREDISTX86;VCREDISTX64;DIRECTX;MSXML
POSTREQUISITE=FUCKCAD
PRODUCT_NAME=AutoCAD 2010
PRODUCT_ICON=acad\acad.ico
EULA_PATH=eula
LOG=%tmp%\AutoCAD 2010 Install.log
EXE_PATH=acad\acad.msi
EXE64_PATH=acad\acad.msi
EXE_PARAM=
ACTION=INSTALL
REMOVE_PATH=
ROLLBACKABLE=YES
USE_EXTERNAL_UI=YES
USE_MEDIA=YES
UI_SEQUENCE=LicenseTypePage;InstallTypePage;ContentLocationPage;PathCustomizationPage;AddAdditionalFilesPage;WorkstationSettingPage;ServicePackPageForDeploy;ServicePackPageForInstall;InfoCenterCommCenterPage;OnlineResourcesPage;ConfigCompletePage
MAINTENANCE_UI_SEQUENCE=MaintenanceDlg;AddRemoveFeaturesDlg;RepairDlg;MaintVerifyReadyDlg;FullProgressDlg;MaintCompleteDlg;MaintFailedDlg
EXTRA_FEATURES=Express_Tools;Materials
SUMMARY_FUNC=LoadSummary_ACAD
SUMMARY_SOURCE=SetupAcadUi.dll
README_FILE=help\readme.chm;AcSetupRes.dll;4
LAUNCH_EXE=acad.exe
ADMIN_INSTALL=YES
EXTRA_FILES=acad;acad\*.ico
LPPATH=acad\%lang%
LPCHILD=ACAD_LANGUAGEPACK
AVAILABLELANGUAGES=zh-CN
DEFAULTMEDIALANGUAGE=zh-CN
LPMODE=MLD
MSINEWINSTANCE=1
DEPLOYMENTLANGUAGE=
CANSPAN=1

#==================== ACAD UI Sequence

[LicenseTypePage]
UI_CREATOR=LicenseTypePage
UI_SOURCE=SetupAcadUi.dll
UI_INFO_LINK=SetupRes\InfoLink\License_Type_%s.xml.html

[InstallTypePage]
UI_CREATOR=InstallTypePage
UI_SOURCE=SetupAcadUi.dll
UI_INFO_LINK=SetupRes\InfoLink\Installation_Type_Page_ACAD.xml.html

#==================== ACAD Deploy UI Sequence

[ContentLocationPage]
UI_CREATOR=ContentLocationPage
UI_SOURCE=SetupAcadUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Support_Content_Page_ACAD.xml.html

[PathCustomizationPage]
UI_CREATOR=PathCustomizationPage
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Deployment_Define_Search_Paths_and_File_Locations_page.xml.html

[AddAdditionalFilesPage]
UI_CREATOR=AddAdditionalFilesPage
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Additional_Files_Page.xml.html

[WorkstationSettingPage]
UI_CREATOR=WorkstationSettingPage
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Specify_Users_Workstation_Settings_Page.xml.html

[ServicePackPageForDeploy]
UI_CREATOR=ServicePackPage
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Deployment_Include_Service_Packs_Page.xml.html

[ServicePackPageForInstall]
UI_CREATOR=ServicePackPage
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_RUNNING_FROM_ADMIN="FALSE" AND NOT ADSK_LAUNCH_MODE="DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Standalone_Include_Service_Packs_Page.xml.html

[InfoCenterCommCenterPage]
UI_CREATOR=InfoCenterCommCenterPage
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Deployment_Configure_InfoCenter_Communication_Center_Page.xml.html

[OnlineResourcesPage]
UI_CREATOR=OnlineResourcesPage
UI_SOURCE=DeployUi.dll
UI_CONDITION=ADSK_LAUNCH_MODE="DEPLOYMENT"
UI_INFO_LINK=SetupRes\InfoLink\Deployment_Online_Resources_Page.xml.html

[ConfigCompletePage]
UI_CREATOR=ConfigCompletePage
UI_SOURCE=SetupAcadUi.dll
~UI_INFO_LINK=SetupRes\InfoLink\Deployment_Configure_Complete_Page.xml.html

#==================== ADR

[ADR]
PRODUCT_NAME=Autodesk Design Review 2010
PREREQUISITE=SSE2;VCREDIST2005X86;VCREDISTX86;DOTNET
PRODUCT_ICON=support\adr\DesignReview.ico
EXTRA_FILES=acad;support\adr\*.ico
EULA_PATH=eula
PRODUCT_MESSAGE=SetupRes.dll;9
LOG=%tmp%\Autodesk Design Review Install.log
EXE_PATH=support\adr\%setupuilang%\SetupDesignReview2010.msi
IGNORE_FAILURE=YES
UI_SEQUENCE=InstallTypePage3;ConfigCompletePage
MAINTENANCE_UI_SEQUENCE=MaintenanceDlg;AddRemoveFeaturesDlg;RepairDlg;MaintVerifyReadyDlg;FullProgressDlg;MaintCompleteDlg;MaintFailedDlg
SUMMARY_FUNC=LoadSummary_Simple
SUMMARY_SOURCE=SetupAcadUi.dll
ALLOW_ADD_REMOVE=NO
VC_FUNC=DwfvVerCheck
VC_SOURCE=SetupUi.dll
VC_PARAM=6.0
VC_DESCRIPTION=Detecting DWFViewer 7.0 earlier
README_FILE=support\adr\%setupuilang%\README.htm;SetupRes.dll;13
DISK_LABEL=acad2010
DISK_PROMPT=AcSetupRes.dll;11

[InstallTypePage3]
UI_CREATOR=InstallTypePage
UI_SOURCE=SetupAcadUi.dll
UI_INFO_LINK=SetupRes\InfoLink\Installation_Type_Page_DWFV.xml.html

#==================== Supplement Tools

[NLM]
PRODUCT_NAME=Network License Manager
PRODUCT_GROUP=Network License Components
PRODUCT_ICON=support\NLM\NLM.ico
EULA_PATH=eula
LOG=%tmp%\NLM Install.log
EXE_PATH=support\NLM\%setupuilang%\NLM.msi
INSTALL_TYPE=4
ACTION=INSTALL
IGNORE_FAILURE=YES
UI_SEQUENCE=InstallTypePage2;ConfigCompletePage
SUMMARY_FUNC=LoadSummary_Simple
SUMMARY_SOURCE=SetupAcadUi.dll
ALLOW_ADD_REMOVE=NO
DISK_LABEL=acad2010
DISK_PROMPT=AcSetupRes.dll;11

[InstallTypePage2]
UI_CREATOR=InstallTypePage
UI_SOURCE=SetupAcadUi.dll
UI_INFO_LINK=SetupRes\InfoLink\Installation_Type_Page_Tools.xml.html

[CADM]
PRODUCT_NAME=Autodesk CAD Manager Tools 4.0
PRODUCT_GROUP=Supplemental Tools
PRODUCT_ICON=support\CADManager\CADManager.ico
PREREQUISITE=SSE2
EULA_PATH=eula
LOG=%tmp%\CADManager Install.log
EXE_PATH=support\CADManager\%setupuilang%\CADManager.msi
INSTALL_TYPE=4
ACTION=INSTALL
IGNORE_FAILURE=YES
UI_SEQUENCE=InstallTypePage2;ConfigCompletePage
SUMMARY_FUNC=LoadSummary_Simple
SUMMARY_SOURCE=SetupAcadUi.dll
ALLOW_ADD_REMOVE=NO
DISK_LABEL=acad2010
DISK_PROMPT=AcSetupRes.dll;11

[SAMR]
PREREQUISITE=JRE
PRODUCT_NAME=SAMreport-Lite
PRODUCT_GROUP=Supplemental Tools
PRODUCT_MESSAGE=SetupRes.dll;378
LOG=%tmp%\SAMreport.log
EXE_PATH=support\SAMreport-Lite\SAMreport.exe
EXE_PARAM=-is:javahome "%ProgramFiles%\Java\j2re1.4.2_04"
VC_FUNC=SAMreportLiteCheck
VC_SOURCE=SetupUi.dll
INSTALL_TYPE=4
ACTION=INSTALL
IGNORE_FAILURE=YES

[JRE]
PRODUCT_NAME=JRE 1.4.2
EXE_PATH=support\SAMreport-Lite\Java 2 Runtime Environment, SE v1.4.2_04.msi
EXE_PARAM=
IGNORE_FAILURE=YES
DISK_LABEL=acad2010
DISK_PROMPT=AcSetupRes.dll;11